Name:           munipack
Version:        2.0.8
Release:        %mkrel 2
Summary:        An astrophotometry software package
License:        GPLv2+
Group:          Sciences/Astronomy
URL:            http://c-munipack.sourceforge.net/
Source0:        http://dl.sf.net/%{name}/c%{name}-%{version}.tar.gz
Source1:        muniwin.desktop
BuildRequires:  cfitsio-devel, expat-devel, gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gstreamer0.10-devel
Provides:       cmunipack = %{version}-%{release}
Patch0: munipack-2.0.8-mga-build.patch

%description
The C-Munipack is an astrophotometry software package,
which offers a complete solution for reduction of images
carried out by CCD camera, intended on a observation of
variable stars. It provides a simple and intuitive graphical
user interface.

%package devel
Summary:        Libraries/include files for cmunipack
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
Libraries/include files for cmunipack

%prep
%setup -q -n c%{name}-%{version}
%apply_patches

%build
mkdir m4
autoreconf --force --install -Wall
export CFLAGS="-I/usr/include/cfitsio %{optflags}" CXXFLAGS="-I/usr/include/cfitsio %{optflags}"
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
pushd $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../cmunipack-2.0/icons/muniwin.png .
popd
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc COPYING INSTALL doc/
%{_bindir}/konve
%{_bindir}/munilist
%{_bindir}/meanbias
%{_bindir}/flatbat
%{_bindir}/helcor
%{_bindir}/muniphot
%{_bindir}/munimatch
%{_bindir}/meandark
%{_bindir}/biasbat
%{_bindir}/airmass
%{_bindir}/timebat
%{_bindir}/autoflat
%{_bindir}/kombine
%{_bindir}/darkbat
%{_bindir}/muniwin
%{_bindir}/munifind
%{_libdir}/libcmunipack*.so.*
%{_datadir}/C-Munipack*/
%{_datadir}/applications/muniwin.desktop
%{_datadir}/pixmaps/muniwin.png
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%files devel
%{_libdir}/libcmunipack*.so
%{_includedir}/cmunipack-2.0/
%{_libdir}/pkgconfig/cmunipack-2.0.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.8-2.mga4
+ Revision: 530644
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 joequant <joequant> 2.0.8-1.mga4
+ Revision: 458650
- spec fixes
- change patch name, update buildrequires
- imported package munipack

